[Debian-live-changes] r1997 - dists/trunk/live-helper/helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Sun Jun 10 13:57:50 UTC 2007


Author: daniel
Date: 2007-06-10 13:57:50 +0000 (Sun, 10 Jun 2007)
New Revision: 1997

Added:
   dists/trunk/live-helper/helpers/lh_bootstrap_cache
Modified:
   dists/trunk/live-helper/helpers/lh_bootstrap
Log:


Modified: dists/trunk/live-helper/helpers/lh_bootstrap
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap	2007-06-10 13:53:52 UTC (rev 1996)
+++ dists/trunk/live-helper/helpers/lh_bootstrap	2007-06-10 13:57:50 UTC (rev 1997)
@@ -33,5 +33,7 @@
 Set_defaults
 
 # Bootstrapping system
+lh_bootstrap_cache restore ${*}
 lh_bootstrap_cdebootstrap ${*}
 lh_bootstrap_debootstrap ${*}
+lh_bootstrap_cache save ${*}

Added: dists/trunk/live-helper/helpers/lh_bootstrap_cache
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap_cache	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_bootstrap_cache	2007-06-10 13:57:50 UTC (rev 1997)
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# lh_bootstrap_cache(1) - cach bootstrap stage
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="cache bootstrap stage"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Echo_message "Begin caching bootstrap stage..."
+
+for STAGE in ${LH_CACHE_STAGES}
+do
+	case "${1}" in
+		restore)
+			# Checking stage file
+			Check_stagefile .stage/bootstrap_cache.restore
+
+			# Checking lock file
+			Check_lockfile .lock
+
+			# Creating lock file
+			Create_lockfile .lock
+
+			if [ "${STAGE}" = "bootstrap" ] && [ -d cache/stages_bootstrap ]
+			then
+				# Restoring old cache
+				${LH_ROOT_COMMAND} cp -a cache/stages_bootstrap/* chroot
+
+				if [ -n "${LH_ROOT_COMMAND}" ]
+				then
+					${LH_ROOT_COMMAND} chown -R `whoami`:`whoami` chroot
+				fi
+
+				# Creating stage file
+				Create_stagefile .stage/bootstrap_cache.restore
+
+				exit 0
+			fi
+			;;
+
+		save)
+			# Checking stage file
+			Check_stagefile .stage/bootstrap_cache.save
+
+			# Checking lock file
+			Check_lockfile .lock
+
+			# Creating lock file
+			Create_lockfile .lock
+
+			if [ "${STAGE}" = "bootstrap" ]
+			then
+				rm -rf cache/stages_bootstrap
+
+				mkdir -p cache
+
+				${LH_ROOT_COMMAND} cp -a chroot cache/stages_bootstrap
+
+				if [ -n "${LH_ROOT_COMMAND}" ]
+				then
+					${LH_ROOT_COMMAND} chown -R `whoami`:`whoami` cache/stages_bootstrap
+				fi
+			fi
+			;;
+	esac
+done


Property changes on: dists/trunk/live-helper/helpers/lh_bootstrap_cache
___________________________________________________________________
Name: svn:executable
   + *




More information about the Debian-live-changes mailing list